/* variables */
:root {
    --success: #4CAF50;
    --failure: #E75A5A;
    --error: #FFC107;
    --skipped: #03A9F4;
}

/* main elements */
html {
    font-family: "Segoe UI", sans-serif;
    background-color: #f1eff4;
    border-left: 3px solid #008272;
    margin-left: 0px;
    padding-top: 0px;
    min-height: 100%
}

body.second {
    margin-left: 4em;
}

canvas {
    background-color: #f5f5f5
}

h1, h2, h3, h4 {
    font-family: "Segoe UI", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    color: #17365d;
}

h1 {
    padding-bottom: 0.3em;
    color: #008272;
    border-bottom: 1px solid #d5d4d7;
}

td {
    padding-right: 1em
}

p.sub-header {
    margin-top: -2em;
    font-family: "Segoe UI", sans-serif;
    color: #17365d;
    font-size: small;
    line-height: 1.2em;
    padding-bottom: 0.7em;
}

div.block {
    line-height: 3em;
    background-color: #f8f8f8;
    padding: 0.5em;
    padding-bottom: 0px;
    padding-top: 0px;
    position: relative
}

.block a {
    text-decoration: none;
    color: black;
}

.block  ul li h3, .block ul li p {
    margin: 0;
    padding: 0
}

.block ul li p {
    color: #7f7f7f;
    line-height: 1em;
}

div.watermark {
    transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -ms-transform-origin: 0% 0%;
    transform-origin: 0% 0%;
    position: fixed;
    bottom: 0;
    left: 0;
    font-family: "Segoe UI", sans-serif;
    font-size: 18pt;
    color: #c3c2c4;
    margin-bottom: -1em;
    z-index: -1;
}

/* SummaryBlock legends */
div.legend {
    font-size: 60%;
    margin-bottom: 3em;
    line-height: 1em
}

div.inline-legend {
    display: inline-block;
    background-color: #f5f5f5;
    vertical-align: text-bottom;
    color: #17365d;
}

.status-icon.failed {
    color: var(--failure);
}

.status-icon.failed::before {
    content: '\2716';
    font-size: 18px;
}

.status-icon.error {
    color: var(--error);
}

.status-icon.error::before {
    content: '\26A0';
    font-size: 18px;
}

.status-icon.skipped {
    color: var(--skipped);
}

.status-icon.skipped::before {
    content: '\27A1';
    font-size: 18px;
}

.status-icon.passed {
    color: var(--success);
}

.status-icon.passed::before {
    content: '\2714';
    font-size: 18px;
}

.technology-color::before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-right: 8px;
  vertical-align: middle;
}

/* dialog pop-ups  */
div.dialog {
    display: none;
    position: fixed;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    background: white;
    padding-left: 20%;
    padding-right: 20%;
    padding-top: 2%;
    padding-bottom: 2%;
    border-bottom: 1px solid #cccccc;
    border-top: 1px solid #cccccc;
}

.detailsBody {
    overflow-y: auto;
    max-height: 200px;
    max-width: 80%;
    line-height: 1.0;
}

.failure-details {
    text-decoration: underline;
    display: inline-block;
    padding-left: 5px;
    font-size: smaller;
    color: #74777a;
}

/* logs */
.error-log {
    border: 1px solid red;
    margin: 10px;
    padding: 5px;
    background-color: #ffdddd;
}

.error-log summary {
    background-color: #fa8072;
    color: white;
    cursor: pointer;
    padding: 10px;
    font-size: 15px;
    text-transform: capitalize;
}

.error-log[open] summary {
    background-color: #f44336;
}

.error-log-details {
    padding: 0 18px;
    background-color: #f1f1f1;
}

ul.error-log-list,
ul.warning-log-list {
    list-style: none;
    padding-left: 0;
}

ul.error-log-list li:before,
ul.warning-log-list li:before {
    content: '\2605';
    padding-right: 10px;
}

.warning-log {
    border: 1px solid orange;
    margin: 10px;
    padding: 5px;
    background-color: #fff3cd;
}

.warning-log summary {
    background-color: #ffa500;
    color: white;
    cursor: pointer;
    padding: 10px;
    font-size: 15px;
    text-transform: capitalize;
}

.warning-log[open] summary {
    background-color: #ff9800;
}

.warning-log-details {
    padding: 0 18px;
    background-color: #f9f9f9;
}

/* jobs cloud */
span.ok {
    color: #008272;
    font-size: 160%;
    padding: 10px;
    position: relative;
}

span.nok {
    color: red;
    font-size: 160%;
    font-style: italic;
    padding: 10px;
    position: relative;
}

span.nokok {
    color: orange;
    font-size: 160%;
    padding: 10px;
    position: relative;
}

span.empty {
    color: dimgray;
    font-size: 160%;
    padding: 10px;
    position: relative;
}

/* tags and test cases tables */
button.sort {
    background: none;
    border: none;
    cursor: pointer;
    padding: 5px 10px;
    font-size: 18px;
}

button.sort::after {
    content: ' \21C5';
    font-size: 18px;
}

input.search {
    position: absolute;
    right: 10%; /* 0px; */
    margin-right: 5px;
    top: 3em;
}

.elements span.ok {
    background: var(--success);
    color: #ffffff;
    font-size: smaller;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
}

.elements span.nok, .information strong .nok {
    background: var(--failure);
    color: #ffffff;
    font-size: smaller;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
}

.elements span.skip {
    background: var(--skipped);
    color: #ffffff;
    font-size: smaller;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
}

.elements span.err {
    background: var(--error);
    color: #ffffff;
    font-size: smaller;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
}

table.elements {
    line-height: 1em;
    width: 100%;
    font-size: smaller;
    overflow-x: scroll;
}

.elements th {
    text-align: left;
}

.elements td {
    border-top: 1px solid #e1e1e1;
    padding-top: 0.3em
}

th.number {
    text-align: right;
    padding-right: 1em
}

span.testCaseName, span.data {
    text-decoration: underline;
}

/* doughnuts */
div.doughnut {
    display: inline-block;
    background-color: #f5f5f5;
    vertical-align: text-bottom;
    color: #17365d;
}

table.doughnut {
    display: inline-block;
    width: 200px;
    background-color: #f5f5f5;
    vertical-align: text-bottom;
    color: #17365d;
}

.doughnut th {
    font-weight: normal;
    text-align: left;
    line-height: 1em
}

.doughnut th .desc {
    font-size: 70%;
    color: #7f7f7f
}

.doughnut td {
    text-align: left;
    padding: 0px;
    margin: 0px
}

span.empty-doughnut {
    display: block;
    box-sizing: border-box;
    height: 200px;
    width: 200px;
}

span.empty-doughnut.title {
    font-size: 12px;
    color: #17365d;
    line-height: 1.4;
    font-weight: normal;
    padding: 0.5px;
}

span.empty-doughnut.content {
    font-size: 12px;
    color: #17365d;
    line-height: 1.4;
    font-weight: normal;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* barcharts */
table.barchart {
    display: inline-block;
    background-color: #f5f5f5;
    vertical-align: text-bottom;
    color: #17365d;
}

.barchart th {
    font-weight: normal;
    text-align: left;
    line-height: 1em
}

.barchart th .desc {
    font-size: 70%;
    color: #7f7f7f
}

.barchart td {
    text-align: left;
    padding: 0px;
    margin: 0px;
    line-height: 0
}

/* progress bars */
.progress-container {
    width: 90%;
    background-color: #f3f3f3;
    border-radius: 25px;
    overflow: hidden;
    margin: auto;
}

.progress-bar {
    height: 30px;
    text-align: center;
    line-height: 30px;
    color: white;
    float: left;
    font-size: smaller;
}
